NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.AnalyzePocketBuilder Class Reference

Represents a NXOpen.Features.AnalyzePocket builder for Analyze Pocket feature. More...

Inheritance diagram for NXOpen.Features.AnalyzePocketBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AngledWallSolutions {
  Unknown, SwarfCutWall, CutFloorAndSwarfCutWall, CutFloor,
  SwarfCutWallAndFloor
}
 Represents the solution which defines how the End Mill is positioned with the angled walls. More...
 
enum  ToolTypes { Unknown, EndMill, TCutter, SphericalMill }
 Represents the tool type which defines how the angled walls are cut. More...
 

Properties

unsafe bool AcutelyAngledWallsChecker [get, set]
 Returns or sets the flag specifying whether to check acutely angled walls. More...
 
unsafe NXOpen.Expression Diameter [get]
 Returns the diameter defines the diameter of End Mill or Shperical Mill. More...
 
unsafe NXOpen.ScCollector FloorFaces [get, set]
 Returns or sets the collector of floor faces. More...
 
unsafe NXOpen.Expression FluteLength [get]
 Returns the flute length defines the length of the flute of T Cutter. More...
 
unsafe bool InaccessibleAreasChecker [get, set]
 Returns or sets the flag specifying whether to check inaccessible areas. More...
 
unsafe NXOpen.Expression LowerRadius [get]
 Returns the lower radius defines the radius of blend on the bottom of End Mill or T Cutter. More...
 
unsafe NXOpen.Expression NeckDiameter [get]
 Returns the neck diameter defines the diameter of the neck of T Cutter. More...
 
unsafe
NXOpen.Features.AnalyzePocketBuilder.ToolTypes 
ToolType [get, set]
 Returns or sets the tool type defines how the angled walls are cut. More...
 
unsafe bool UndercutsChecker [get, set]
 Returns or sets the flag specifying whether to check undercuts. More...
 
unsafe NXOpen.Expression UpperRadius [get]
 Returns the upper radius defines the radius of blend on the upper part of T Cutter. More...
 
unsafe NXOpen.ScCollector WallFaces [get, set]
 Returns or sets the collector of wall faces. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.AnalyzePocket builder for Analyze Pocket feature.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateAnalyzePocketBuilder

Default values.

Property Value

AcutelyAngledWallsChecker

True

Diameter.Value

25.0 (millimeters part), 1.0 (inches part)

FluteLength.Value

10.0 (millimeters part), 0.38 (inches part)

InaccessibleAreasChecker

True

LowerRadius.Value

5.0 (millimeters part), 0.25 (inches part)

NeckDiameter.Value

25.0 (millimeters part), 1.0 (inches part)

ToolType

EndMill

UndercutsChecker

True

UpperRadius.Value

5.0 (millimeters part), 0.25 (inches part)

Created in NX9.0.0

Member Enumeration Documentation

Represents the solution which defines how the End Mill is positioned with the angled walls.

Enumerator
Unknown 

Unknown End Mill solution.

SwarfCutWall 

One pass End Mill.

The tool is following the angled wall and not perpendicular to the pocket floor.

CutFloorAndSwarfCutWall 

Two pass End Mill.

During first pass you keep the tool perpendicular to the pocket floor and during second pass you follow the angled wall.

CutFloor 

One pass End Mill.

The tool is perpendicular to the pocket floor and not follow the angled wall.

SwarfCutWallAndFloor 

Two pass End Mill.

During first pass you follow the angled wall and during second pass you rotate the tool to follow the floor.

Represents the tool type which defines how the angled walls are cut.

Enumerator
Unknown 

unknown.

EndMill 

End Mill.

TCutter 

T Cutter.

SphericalMill 

Spherical Mill.

Property Documentation

unsafe bool NXOpen.Features.AnalyzePocketBuilder.AcutelyAngledWallsChecker
getset

Returns or sets the flag specifying whether to check acutely angled walls.

If True, check the acutely angled walls, else it is not.

Created in NX9.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.AnalyzePocketBuilder.Diameter
get

Returns the diameter defines the diameter of End Mill or Shperical Mill.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.AnalyzePocketBuilder.FloorFaces
getset

Returns or sets the collector of floor faces.

It can be a single face, or multiple faces

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Features.AnalyzePocketBuilder.FluteLength
get

Returns the flute length defines the length of the flute of T Cutter.

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.Features.AnalyzePocketBuilder.InaccessibleAreasChecker
getset

Returns or sets the flag specifying whether to check inaccessible areas.

If True, check the inaccessible areas, else it is not.

Created in NX9.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.AnalyzePocketBuilder.LowerRadius
get

Returns the lower radius defines the radius of blend on the bottom of End Mill or T Cutter.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.AnalyzePocketBuilder.NeckDiameter
get

Returns the neck diameter defines the diameter of the neck of T Cutter.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Features.AnalyzePocketBuilder.ToolTypes NXOpen.Features.AnalyzePocketBuilder.ToolType
getset

Returns or sets the tool type defines how the angled walls are cut.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.AnalyzePocketBuilder.UndercutsChecker
getset

Returns or sets the flag specifying whether to check undercuts.

If True, check the undercuts, else it is not.

Created in NX9.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.AnalyzePocketBuilder.UpperRadius
get

Returns the upper radius defines the radius of blend on the upper part of T Cutter.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.AnalyzePocketBuilder.WallFaces
getset

Returns or sets the collector of wall faces.

It can be a single face, or multiple faces

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.